org.apache.ode.bpel.intercept

## Class NoOpInterceptor

- java.lang.Object
- - org.apache.ode.bpel.intercept.NoOpInterceptor

- All Implemented Interfaces:
    MessageExchangeInterceptor
  Direct Known Subclasses:
    InstanceCountThrottler, ProcessCountThrottler, ProcessSizeThrottler

      public class NoOpInterceptor
      extends java.lang.Object
      implements MessageExchangeInterceptor

  No-Op implementation of the {@link org.apache.ode.bpel.intercept.MessageExchangeInterceptor interface; good for sub-classing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.intercept.MessageExchangeInterceptor

      `MessageExchangeInterceptor.InterceptorContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOpInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBpelServerInvoked(MyRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the BPEL server is invoked, before any attempt to route the message exchange to a process.
    `void` | `onJobScheduled(MyRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the message is scheduled, before any attempt to invoke the BPEL server is made.
    `void` | `onNewInstanceInvoked(MyRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the BPEL server is invoked, after the message exchange has been routed to the process and it has been determined that a new instance needs to be created.
    `void` | `onPartnerInvoked(PartnerRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the BPEL server is invoked, before any attempt to route the message exchange to a process.
    `void` | `onProcessInvoked(MyRoleMessageExchange mex, MessageExchangeInterceptor.InterceptorContext ic)` Called when the BPEL server is invoked, after the message exchange has been routed to the process.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOpInterceptor

          public NoOpInterceptor()

  - ### Method Detail

    - #### onJobScheduled

          public void onJobScheduled(MyRoleMessageExchange mex,
                                     MessageExchangeInterceptor.InterceptorContext ic)
                              throws FailMessageExchangeException,
                                     FaultMessageExchangeException

      Description copied from interface: `MessageExchangeInterceptor`
      Called when the message is scheduled, before any attempt to invoke the BPEL server is made.
      Specified by:
        `onJobScheduled` in interface `MessageExchangeInterceptor`
      Parameters:
        `mex` - message exchange
      Throws:
        `FailMessageExchangeException`
        `FaultMessageExchangeException`

    - #### onBpelServerInvoked

          public void onBpelServerInvoked(MyRoleMessageExchange mex,
                                          MessageExchangeInterceptor.InterceptorContext ic)
                                   throws FailMessageExchangeException,
                                          FaultMessageExchangeException

      Description copied from interface: `MessageExchangeInterceptor`
      Called when the BPEL server is invoked, before any attempt to route the message exchange to a process.
      Specified by:
        `onBpelServerInvoked` in interface `MessageExchangeInterceptor`
      Parameters:
        `mex` - message exchange
      Throws:
        `FailMessageExchangeException`
        `FaultMessageExchangeException`

    - #### onProcessInvoked

          public void onProcessInvoked(MyRoleMessageExchange mex,
                                       MessageExchangeInterceptor.InterceptorContext ic)
                                throws FailMessageExchangeException,
                                       FaultMessageExchangeException

      Description copied from interface: `MessageExchangeInterceptor`
      Called when the BPEL server is invoked, after the message exchange has been routed to the process.
      Specified by:
        `onProcessInvoked` in interface `MessageExchangeInterceptor`
      Parameters:
        `mex` - message exchange
      Throws:
        `FailMessageExchangeException`
        `FaultMessageExchangeException`

    - #### onPartnerInvoked

          public void onPartnerInvoked(PartnerRoleMessageExchange mex,
                                       MessageExchangeInterceptor.InterceptorContext ic)
                                throws FailMessageExchangeException,
                                       FaultMessageExchangeException

      Description copied from interface: `MessageExchangeInterceptor`
      Called when the BPEL server is invoked, before any attempt to route the message exchange to a process.
      Specified by:
        `onPartnerInvoked` in interface `MessageExchangeInterceptor`
      Parameters:
        `mex` - message exchange
      Throws:
        `FailMessageExchangeException`
        `FaultMessageExchangeException`

    - #### onNewInstanceInvoked

          public void onNewInstanceInvoked(MyRoleMessageExchange mex,
                                           MessageExchangeInterceptor.InterceptorContext ic)
                                    throws FailMessageExchangeException,
                                           FaultMessageExchangeException

      Description copied from interface: `MessageExchangeInterceptor`
      Called when the BPEL server is invoked, after the message exchange has been routed to the process and it has been determined that a new instance needs to be created.
      Specified by:
        `onNewInstanceInvoked` in interface `MessageExchangeInterceptor`
      Parameters:
        `mex` - message exchange
      Throws:
        `FailMessageExchangeException`
        `FaultMessageExchangeException`